package rest

import (
	store "custodial/pkg/store"

	gin "github.com/gin-gonic/gin"
)

func AccountRestV1(r *gin.RouterGroup) {
	store.Init()

	r.POST("/balance", AccountBalanceV1)
	r.POST("/hd/balance", AccountHDBalanceV1)
	r.POST("/create", CreateAccountV1)
	r.GET("/spender-status", AccountSpenderStatusV1)
	r.GET("/count", AccountCountV1)
	r.POST("/list", AccountListV1)
}
